.\"	@(#) $FreeBSD: src/usr.sbin/pppstats/pppstats.8,v 1.3.2.5 1999/09/05 11:41:07 peter Exp $
.TH PPPSTATS 8 "26 June 1995"
.SH NAME
pppstats \- print PPP statistics
.SH SYNOPSIS
.B pppstats
[
.B -a
] [
.B -v
] [
.B -r
] [
.B -z
] [
.B -c
.I <count>
] [
.B -w
.I <secs>
] [
.I interface
]
.ti 12
.SH DESCRIPTION
The
.B pppstats
utility reports PPP-related statistics at regular intervals for the
specified PPP interface.  If the interface is unspecified, it will
default to ppp0.
The display is split horizontally
into input and output sections containing columns of statistics
describing the properties and volume of packets received and
transmitted by the interface.
.PP
The options are as follows:
.TP
.B -a
Display absolute values rather than deltas.  With this option, all
reports show statistics for the time since the link was initiated.
Without this option, the second and subsequent reports show statistics
for the time since the last report.
.TP
.B -c \fIcount
Repeat the display
.I count
times.  If this option is not specified, the default repeat count is 1
if the
.B -w
option is not specified, otherwise infinity.
.TP
.B -r
Display additional statistics summarizing the compression ratio
achieved by the packet compression algorithm in use.
.TP
.B -v
Display additional statistics relating to the performance of the Van
Jacobson TCP header compression algorithm.
.TP
.B -w \fIwait
Pause
.I wait
seconds between each display.  If this option is not specified, the
default interval is 5 seconds.
.TP
.B -z
Instead of the standard display, show statistics indicating the
performance of the packet compression algorithm in use.
.PP
The following fields are printed on the input side when the
.B -z
option is not used:
.TP
.B IN
The total number of bytes received by this interface.
.TP
.B PACK
The total number of packets received by this interface.
.TP
.B VJCOMP
The number of header-compressed TCP packets received by this interface.
.TP
.B VJUNC
The number of header-uncompressed TCP packets received by this
interface.  Not reported when the
.B -r
option is specified.
.TP
.B VJERR
The number of corrupted or bogus header-compressed TCP packets
received by this interface.  Not reported when the
.B -r
option is specified.
.TP
.B VJTOSS
The number of VJ header-compressed TCP packets dropped on reception by
this interface because of preceding errors.  Only reported when the
.B -v
option is specified.
.TP
.B NON-VJ
The total number of non-TCP packets received by this interface. Only
reported when the
.B -v
option is specified.
.TP
.B RATIO
The compression ratio achieved for received packets by the
packet compression scheme in use, defined as the uncompressed size
divided by the compressed size.
Only reported when the
.B -r
option is specified.
.TP
.B UBYTE
The total number of bytes received, after decompression of compressed
packets.  Only reported when the
.B -r
option is specified.
.PP
The following fields are printed on the output side:
.TP
.B OUT
The total number of bytes transmitted from this interface.
.TP
.B PACK
The total number of packets transmitted from this interface.
.TP
.B VJCOMP
The number of TCP packets transmitted from this interface with
VJ-compressed TCP headers.
.TP
.B VJUNC
The number of TCP packets transmitted from this interface with
VJ-uncompressed TCP headers.
Not reported when the
.B -r
option is specified.
.TP
.B NON-VJ
The total number of non-TCP packets transmitted from this interface.
Not reported when the
.B -r
option is specified.
.TP
.B VJSRCH
The number of searches for the cached header entry for a VJ header
compressed TCP packet.  Only reported when the
.B -v
option is specified.
.TP
.B VJMISS
The number of failed searches for the cached header entry for a
VJ header compressed TCP packet.  Only reported when the
.B -v
option is specified.
.TP
.B RATIO
The compression ratio achieved for transmitted packets by the
packet compression scheme in use, defined as the size
before compression divided by the compressed size.
Only reported when the
.B -r
option is specified.
.TP
.B UBYTE
The total number of bytes to be transmitted, before packet compression
is applied.  Only reported when the
.B -r
option is specified.
.PP
When the
.B -z
option is specified,
.B pppstats
instead displays the following fields, relating to the packet
compression algorithm currently in use.  If packet compression is not
in use, these fields will all display zeroes.  The fields displayed on
the input side are:
.TP
.B COMPRESSED BYTE
The number of bytes of compressed packets received.
.TP
.B COMPRESSED PACK
The number of compressed packets received.
.TP
.B INCOMPRESSIBLE BYTE
The number of bytes of incompressible packets (that is, those which
were transmitted in uncompressed form) received.
.TP
.B INCOMPRESSIBLE PACK
The number of incompressible packets received.
.TP
.B COMP RATIO
The recent compression ratio for incoming packets, defined as the
uncompressed size divided by the compressed size (including both
compressible and incompressible packets).
.PP
The fields displayed on the output side are:
.TP
.B COMPRESSED BYTE
The number of bytes of compressed packets transmitted.
.TP
.B COMPRESSED PACK
The number of compressed packets transmitted.
.TP
.B INCOMPRESSIBLE BYTE
The number of bytes of incompressible packets transmitted (that is,
those which were transmitted in uncompressed form).
.TP
.B INCOMPRESSIBLE PACK
The number of incompressible packets transmitted.
.TP
.B COMP RATIO
The recent compression ratio for outgoing packets.
.SH SEE ALSO
pppd(8)
